Index: branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
===================================================================
--- branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 2822)
+++ branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 2823)
@@ -15,14 +15,26 @@
 &nampisext     !   air-sea exchange
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   atcco2     = 287.    ! atmospheric pCO2
+   ln_co2int  =  .false. ! read atm pco2 from a file (T) or constant (F)
+   atcco2     =  287.    ! Constant value atmospheric pCO2 - ln_co2int = F
+   clname     =  'atcco2.txt'  ! Name of atm pCO2 file - ln_co2int = T
+   nn_offset  =  0       ! Offset model-data start year - ln_co2int = T
+!                        ! If your model year is iyy, nn_offset=(years(1)-iyy) 
+!                        ! then the first atmospheric CO2 record read is at years(1)
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisatm     !  Atmospheric prrssure 
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!              !  file name   ! frequency (hours) ! variable   ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_patm     = 'presatm'    ,     -1            , 'patm'     ,  .true.      , .true. ,   'yearly'  , ''       , ''
+   cn_dir      = './'      !  root directory for the location of the dynamical files
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 &nampisbio     !   biological parameters
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   part       =  0.85    ! part of calcite not dissolved in guts
    nrdttrc    =  1       ! time step frequency for biology
    wsbio      =  2.      ! POC sinking speed
    xkmort     =  1.E-7   ! half saturation constant for mortality
-   ferat3     =  3.E-6   ! Fe/C in zooplankton 
+   ferat3     =  10.E-6  ! Fe/C in zooplankton 
    wsbio2     =  30.     ! Big particles sinking speed
 /
@@ -31,27 +43,32 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    conc0      =  2.e-6    ! Phosphate half saturation
-   conc1      =  10E-6    ! Phosphate half saturation for diatoms
-   conc2      =  0.01E-9  ! Iron half saturation for phyto
-   conc2m     =  0.08E-9  ! Max iron half saturation for phyto
-   conc3      =  0.1E-9   ! Iron half saturation for diatoms
-   conc3m     =  0.4E-9   ! Maxi iron half saturation for diatoms
+   conc1      =  8E-6     ! Phosphate half saturation for diatoms
+   conc2      =  1E-9     ! Iron half saturation for phyto
+   conc2m     =  3E-9     ! Max iron half saturation for phyto
+   conc3      =  2E-9     ! Iron half saturation for diatoms
+   conc3m     =  8E-9     ! Maxi iron half saturation for diatoms
    concnnh4   =  1.E-7    ! NH4 half saturation for phyto
-   concdnh4   =  5.E-7    ! NH4 half saturation for diatoms
+   concdnh4   =  4.E-7    ! NH4 half saturation for diatoms
    xksi1      =  2.E-6    ! half saturation constant for Si uptake
    xksi2      =  3.33E-6  ! half saturation constant for Si/C
    xkdoc      =  417.E-6  ! half-saturation constant of DOC remineralization
-   caco3r     =  0.15     ! mean rain ratio
+   concfebac  =  3.E-11   ! Half-saturation for Fe limitation of Bacteria
+   qnfelim    =  7.E-6    ! Optimal quota of phyto
+   qdfelim    =  7.E-6    ! Optimal quota of diatoms
+   caco3r     =  0.16     ! mean rain ratio
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 &nampisprod     !   parameters for phytoplankton growth
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   pislope    =  3.       ! P-I slope  
-   pislope2   =  3.       ! P-I slope  for diatoms
+   pislope    =  2.       ! P-I slope
+   pislope2   =  2.       ! P-I slope  for diatoms
    excret     =  0.05     ! excretion ratio of phytoplankton
    excret2    =  0.05     ! excretion ratio of diatoms
+   bresp      =  0.00333  ! Basal respiration rate
    chlcnm     =  0.033    ! Minimum Chl/C in nanophytoplankton
-   chlcdm     =  0.05     ! Minimum Chl/C in diatoms
-   fecnm      =  10E-6    ! Maximum Fe/C in nanophytoplankton
-   fecdm      =  15E-6    ! Minimum Fe/C in diatoms
+   chlcdm     =  0.04     ! Minimum Chl/C in diatoms
+   chlcmin    =  0.0033   ! Maximum Chl/c in phytoplankton
+   fecnm      =  40E-6    ! Maximum Fe/C in nanophytoplankton
+   fecdm      =  40E-6    ! Minimum Fe/C in diatoms
    grosip     =  0.151    ! mean Si/C ratio
 /
@@ -68,28 +85,32 @@
 &nampismes     !   parameters for mesozooplankton
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   grazrat2   =  0.7      ! maximal mesozoo grazing rate
+   part2      =  0.75    ! part of calcite not dissolved in mesozoo guts
+   grazrat2   =  0.9      ! maximal mesozoo grazing rate
    resrat2    =  0.005    ! exsudation rate of mesozooplankton
-   mzrat2     =  0.03     ! mesozooplankton mortality rate
+   mzrat2     =  0.04     ! mesozooplankton mortality rate
    xprefc     =  1.       ! zoo preference for phyto
-   xprefp     =  0.2      ! zoo preference for POC
+   xprefp     =  0.3      ! zoo preference for POC
    xprefz     =  1.       ! zoo preference for zoo
-   xprefpoc   =  0.2      ! zoo preference for poc
+   xprefpoc   =  0.3      ! zoo preference for poc
+   xthresh2   =  2E-7     ! Food threshold for grazing
    xkgraz2    =  20.E-6   ! half sturation constant for meso grazing
-   epsher2    =  0.33     ! Efficicency of Mesozoo growth 
+   epsher2    =  0.3      ! Efficicency of Mesozoo growth
    sigma2     =  0.6      ! Fraction of mesozoo excretion as DOM
    unass2     =  0.3      ! non assimilated fraction of P by mesozoo
-   grazflux   =  5.e3     ! flux-feeding rate
+   grazflux   =  3.e3     ! flux-feeding rate
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 &nampiszoo     !   parameters for microzooplankton
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   grazrat    =  4.0      ! maximal zoo grazing rate   
+   part       =  0.5     ! part of calcite not dissolved in microzoo gutsa
+   grazrat    =  3.0      ! maximal zoo grazing rate
    resrat     =  0.03     ! exsudation rate of zooplankton
    mzrat      =  0.0      ! zooplankton mortality rate
-   xpref2c    =  0.1      ! Microzoo preference for POM 
-   xpref2p    =  0.45     ! Microzoo preference for Nanophyto
-   xpref2d    =  0.45     ! Microzoo preference for Diatoms
-   xkgraz     =  20.E-6   ! half sturation constant for grazing 
-   epsher     =  0.33     ! Efficiency of microzoo growth
+   xpref2c    =  0.2      ! Microzoo preference for POM
+   xpref2p    =  1.       ! Microzoo preference for Nanophyto
+   xpref2d    =  0.6      ! Microzoo preference for Diatoms
+   xthresh    =  2E-7     ! Food threshold for feeding
+   xkgraz     =  20.E-6   ! half sturation constant for grazing
+   epsher     =  0.3      ! Efficiency of microzoo growth
    sigma1     =  0.6      ! Fraction of microzoo excretion as DOM
    unass      =  0.3      ! non assimilated fraction of phyto by zoo
@@ -98,15 +119,18 @@
 &nampisrem     !   parameters for remineralization
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   xremik    =  0.3       ! remineralization rate of DOC
+   xremik    =  0.25      ! remineralization rate of DOC
    xremip    =  0.025     ! remineralisation rate of POC
    nitrif    =  0.05      ! NH4 nitrification rate
-   xsirem    =  0.015     ! remineralization rate of Si
+   xsirem    =  0.003     ! remineralization rate of Si
+   xsiremlab =  0.025     ! fast remineralization rate of Si
+   xsilab    =  0.31      ! Fraction of labile biogenic silica
    xlam1     =  0.005     ! scavenging rate of Iron
-   oxymin    =  1.E-6     ! Half-saturation constant for anoxia 
+   oxymin    =  1.E-6     ! Half-saturation constant for anoxia
+   ligand    =  0.6E-9    ! Ligands concentration
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 &nampiscal     !   parameters for Calcite chemistry
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   kdca       =  0.327e3  ! calcite dissolution rate constant (1/time)
+   kdca       =  6.       ! calcite dissolution rate constant (1/time)
    nca        =  1.       ! order of dissolution reaction (dimensionless)
 /
@@ -114,10 +138,23 @@
 &nampissed     !   parameters for inputs deposition
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   ln_dustfer  =  .true.   ! boolean for dust input from the atmosphere
-   ln_river    =  .true.  ! boolean for river input of nutrients
+!              !  file name        ! frequency (hours) ! variable   ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !                   !  (if <0  months)  !   name     !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_dust     = 'dust.orca'       ,     -1            , 'dust'     ,  .true.      , .true. ,   'yearly'  , ''       , ''
+   sn_riverdic = 'river.orca'      ,    -12            , 'riverdic' ,  .false.     , .true. ,   'yearly'  , ''       , ''
+   sn_riverdoc = 'river.orca'      ,    -12            , 'riverdoc' ,  .false.     , .true. ,   'yearly'  , ''       , ''
+   sn_ndepo    = 'ndeposition.orca',    -12            , 'ndep'     ,  .false.     , .true. ,   'yearly'  , ''       , ''
+   sn_ironsed  = 'bathy.orca'      ,    -12            , 'bathy'    ,  .false.     , .true. ,   'yearly'  , ''       , ''
+!
+   cn_dir      = './'      !  root directory for the location of the dynamical files
+   ln_dust     =  .true.   ! boolean for dust input from the atmosphere
+   ln_river    =  .false.   ! boolean for river input of nutrients
    ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
-   ln_sedinput =  .true.   ! boolean for Fe input from sediments
+   ln_ironsed  =  .true.   ! boolean for Fe input from sediments
    sedfeinput  =  1E-9     ! Coastal release of Iron
-   dustsolub   =  0.014    ! Solubility of the dust
+   dustsolub   =  0.02     ! Solubility of the dust
+   wdust       =  2.0      ! Dust sinking speed
+   nitrfix     =  1E-7     ! Nitrogen fixation rate
+   diazolight  =  50.      ! Diazotrophs sensitivity to light (W/m2)
+   concfediaz  =  1.E-10   ! Diazotrophs half-saturation Cste for Iron
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
@@ -140,8 +177,7 @@
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisdia     !   additional 2D/3D tracers diagnostics ("key_trc_diaadd")
+&nampisdia     !   additional 2D/3D tracers diagnostics 
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    nn_writedia  =  5475   !  time step frequency for tracers diagnostics
-!
 !              !    name   !           title of the field          !     units      !
 !              !           !                                       !                !  
Index: branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces
===================================================================
--- branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 2822)
+++ branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 2823)
@@ -15,14 +15,26 @@
 &nampisext     !   air-sea exchange
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   atcco2     = 287.    ! atmospheric pCO2
+   ln_co2int  =  .false. ! read atm pco2 from a file (T) or constant (F)
+   atcco2     =  287.    ! Constant value atmospheric pCO2 - ln_co2int = F
+   clname     =  'atcco2.txt'  ! Name of atm pCO2 file - ln_co2int = T
+   nn_offset  =  0       ! Offset model-data start year - ln_co2int = T
+!                        ! If your model year is iyy, nn_offset=(years(1)-iyy) 
+!                        ! then the first atmospheric CO2 record read is at years(1)
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisatm     !  Atmospheric prrssure 
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!              !  file name   ! frequency (hours) ! variable   ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_patm     = 'presatm'    ,     -1            , 'patm'     ,  .true.      , .true. ,   'yearly'  , ''       , ''
+   cn_dir      = './'      !  root directory for the location of the dynamical files
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 &nampisbio     !   biological parameters
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   part       =  0.85    ! part of calcite not dissolved in guts
    nrdttrc    =  4       ! time step frequency for biology
    wsbio      =  2.      ! POC sinking speed
    xkmort     =  1.E-7   ! half saturation constant for mortality
-   ferat3     =  3.E-6   ! Fe/C in zooplankton 
+   ferat3     =  10.E-6  ! Fe/C in zooplankton 
    wsbio2     =  30.     ! Big particles sinking speed
 /
@@ -31,27 +43,32 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    conc0      =  2.e-6    ! Phosphate half saturation
-   conc1      =  10E-6    ! Phosphate half saturation for diatoms
-   conc2      =  0.01E-9  ! Iron half saturation for phyto
-   conc2m     =  0.08E-9  ! Max iron half saturation for phyto
-   conc3      =  0.1E-9   ! Iron half saturation for diatoms
-   conc3m     =  0.4E-9   ! Maxi iron half saturation for diatoms
+   conc1      =  8E-6     ! Phosphate half saturation for diatoms
+   conc2      =  1E-9     ! Iron half saturation for phyto
+   conc2m     =  3E-9     ! Max iron half saturation for phyto
+   conc3      =  2E-9     ! Iron half saturation for diatoms
+   conc3m     =  8E-9     ! Maxi iron half saturation for diatoms
    concnnh4   =  1.E-7    ! NH4 half saturation for phyto
-   concdnh4   =  5.E-7    ! NH4 half saturation for diatoms
+   concdnh4   =  4.E-7    ! NH4 half saturation for diatoms
    xksi1      =  2.E-6    ! half saturation constant for Si uptake
    xksi2      =  3.33E-6  ! half saturation constant for Si/C
    xkdoc      =  417.E-6  ! half-saturation constant of DOC remineralization
-   caco3r     =  0.15     ! mean rain ratio
+   concfebac  =  3.E-11   ! Half-saturation for Fe limitation of Bacteria
+   qnfelim    =  7.E-6    ! Optimal quota of phyto
+   qdfelim    =  7.E-6    ! Optimal quota of diatoms
+   caco3r     =  0.16     ! mean rain ratio
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 &nampisprod     !   parameters for phytoplankton growth
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   pislope    =  3.       ! P-I slope  
-   pislope2   =  3.       ! P-I slope  for diatoms
+   pislope    =  2.       ! P-I slope
+   pislope2   =  2.       ! P-I slope  for diatoms
    excret     =  0.05     ! excretion ratio of phytoplankton
    excret2    =  0.05     ! excretion ratio of diatoms
+   bresp      =  0.00333  ! Basal respiration rate
    chlcnm     =  0.033    ! Minimum Chl/C in nanophytoplankton
-   chlcdm     =  0.05     ! Minimum Chl/C in diatoms
-   fecnm      =  10E-6    ! Maximum Fe/C in nanophytoplankton
-   fecdm      =  15E-6    ! Minimum Fe/C in diatoms
+   chlcdm     =  0.04     ! Minimum Chl/C in diatoms
+   chlcmin    =  0.0033   ! Maximum Chl/c in phytoplankton
+   fecnm      =  40E-6    ! Maximum Fe/C in nanophytoplankton
+   fecdm      =  40E-6    ! Minimum Fe/C in diatoms
    grosip     =  0.151    ! mean Si/C ratio
 /
@@ -68,28 +85,32 @@
 &nampismes     !   parameters for mesozooplankton
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   grazrat2   =  0.7      ! maximal mesozoo grazing rate
+   part2      =  0.75    ! part of calcite not dissolved in mesozoo guts
+   grazrat2   =  0.9      ! maximal mesozoo grazing rate
    resrat2    =  0.005    ! exsudation rate of mesozooplankton
-   mzrat2     =  0.03     ! mesozooplankton mortality rate
+   mzrat2     =  0.04     ! mesozooplankton mortality rate
    xprefc     =  1.       ! zoo preference for phyto
-   xprefp     =  0.2      ! zoo preference for POC
+   xprefp     =  0.3      ! zoo preference for POC
    xprefz     =  1.       ! zoo preference for zoo
-   xprefpoc   =  0.2      ! zoo preference for poc
+   xprefpoc   =  0.3      ! zoo preference for poc
+   xthresh2   =  2E-7     ! Food threshold for grazing
    xkgraz2    =  20.E-6   ! half sturation constant for meso grazing
-   epsher2    =  0.33     ! Efficicency of Mesozoo growth 
+   epsher2    =  0.3      ! Efficicency of Mesozoo growth
    sigma2     =  0.6      ! Fraction of mesozoo excretion as DOM
    unass2     =  0.3      ! non assimilated fraction of P by mesozoo
-   grazflux   =  5.e3     ! flux-feeding rate
+   grazflux   =  3.e3     ! flux-feeding rate
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 &nampiszoo     !   parameters for microzooplankton
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   grazrat    =  4.0      ! maximal zoo grazing rate   
+   part       =  0.5     ! part of calcite not dissolved in microzoo gutsa
+   grazrat    =  3.0      ! maximal zoo grazing rate
    resrat     =  0.03     ! exsudation rate of zooplankton
    mzrat      =  0.0      ! zooplankton mortality rate
-   xpref2c    =  0.1      ! Microzoo preference for POM 
-   xpref2p    =  0.45     ! Microzoo preference for Nanophyto
-   xpref2d    =  0.45     ! Microzoo preference for Diatoms
-   xkgraz     =  20.E-6   ! half sturation constant for grazing 
-   epsher     =  0.33     ! Efficiency of microzoo growth
+   xpref2c    =  0.2      ! Microzoo preference for POM
+   xpref2p    =  1.       ! Microzoo preference for Nanophyto
+   xpref2d    =  0.6      ! Microzoo preference for Diatoms
+   xthresh    =  2E-7     ! Food threshold for feeding
+   xkgraz     =  20.E-6   ! half sturation constant for grazing
+   epsher     =  0.3      ! Efficiency of microzoo growth
    sigma1     =  0.6      ! Fraction of microzoo excretion as DOM
    unass      =  0.3      ! non assimilated fraction of phyto by zoo
@@ -98,15 +119,18 @@
 &nampisrem     !   parameters for remineralization
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   xremik    =  0.3       ! remineralization rate of DOC
+   xremik    =  0.25      ! remineralization rate of DOC
    xremip    =  0.025     ! remineralisation rate of POC
    nitrif    =  0.05      ! NH4 nitrification rate
-   xsirem    =  0.015     ! remineralization rate of Si
+   xsirem    =  0.003     ! remineralization rate of Si
+   xsiremlab =  0.025     ! fast remineralization rate of Si
+   xsilab    =  0.31      ! Fraction of labile biogenic silica
    xlam1     =  0.005     ! scavenging rate of Iron
-   oxymin    =  1.E-6     ! Half-saturation constant for anoxia 
+   oxymin    =  1.E-6     ! Half-saturation constant for anoxia
+   ligand    =  0.6E-9    ! Ligands concentration
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 &nampiscal     !   parameters for Calcite chemistry
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   kdca       =  0.327e3  ! calcite dissolution rate constant (1/time)
+   kdca       =  6.       ! calcite dissolution rate constant (1/time)
    nca        =  1.       ! order of dissolution reaction (dimensionless)
 /
@@ -114,10 +138,23 @@
 &nampissed     !   parameters for inputs deposition
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   ln_dustfer  =  .true.   ! boolean for dust input from the atmosphere
-   ln_river    =  .true.   ! boolean for river input of nutrients
+!              !  file name        ! frequency (hours) ! variable   ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !                   !  (if <0  months)  !   name     !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_dust     = 'dust.orca'       ,     -1            , 'dust'     ,  .true.      , .true. ,   'yearly'  , ''       , ''
+   sn_riverdic = 'river.orca'      ,    -12            , 'riverdic' ,  .false.     , .true. ,   'yearly'  , ''       , ''
+   sn_riverdoc = 'river.orca'      ,    -12            , 'riverdoc' ,  .false.     , .true. ,   'yearly'  , ''       , ''
+   sn_ndepo    = 'ndeposition.orca',    -12            , 'ndep'     ,  .false.     , .true. ,   'yearly'  , ''       , ''
+   sn_ironsed  = 'bathy.orca'      ,    -12            , 'bathy'    ,  .false.     , .true. ,   'yearly'  , ''       , ''
+!
+   cn_dir      = './'      !  root directory for the location of the dynamical files
+   ln_dust     =  .true.   ! boolean for dust input from the atmosphere
+   ln_river    =  .false.   ! boolean for river input of nutrients
    ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
-   ln_sedinput =  .true.   ! boolean for Fe input from sediments
+   ln_ironsed  =  .true.   ! boolean for Fe input from sediments
    sedfeinput  =  1E-9     ! Coastal release of Iron
-   dustsolub   =  0.014    ! Solubility of the dust
+   dustsolub   =  0.02     ! Solubility of the dust
+   wdust       =  2.0      ! Dust sinking speed
+   nitrfix     =  1E-7     ! Nitrogen fixation rate
+   diazolight  =  50.      ! Diazotrophs sensitivity to light (W/m2)
+   concfediaz  =  1.E-10   ! Diazotrophs half-saturation Cste for Iron
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
@@ -140,8 +177,7 @@
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisdia     !   additional 2D/3D tracers diagnostics ("key_trc_diaadd")
+&nampisdia     !   additional 2D/3D tracers diagnostics 
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    nn_writedia  =  1460   !  time step frequency for tracers diagnostics
-!
 !              !    name   !           title of the field          !     units      !
 !              !           !                                       !                !  
@@ -175,4 +211,3 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    ln_pisdmp    =  .true.     !  Relaxation fo some tracers to a mean value
-   ln_pisclo    =  .false.    !  Restoring of tracer to initial value on closed sea ("key_dtatrc")
-/
+/
Index: branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zbio.F90
===================================================================
--- branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zbio.F90	(revision 2822)
+++ branches/2011/dev_r2787_PISCES_improvment/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zbio.F90	(revision 2823)
@@ -14,17 +14,17 @@
    !!                      compartments of PISCES
    !!----------------------------------------------------------------------
-   USE oce_trc         !
-   USE trc         ! 
-   USE sms_pisces      ! 
-   USE p4zsink         ! 
-   USE p4zopt          ! 
-   USE p4zlim          ! 
-   USE p4zprod         !
-   USE p4zmort         !
-   USE p4zmicro        ! 
-   USE p4zmeso         ! 
-   USE p4zrem          ! 
-   USE prtctl_trc
-   USE iom
+   USE oce_trc         !  shared variables between ocean and passive tracers
+   USE trc             !  passive tracers common variables 
+   USE sms_pisces      !  PISCES Source Minus Sink variables
+   USE p4zsink         !  vertical flux of particulate matter due to sinking
+   USE p4zopt          !  optical model
+   USE p4zlim          !  Co-limitations of differents nutrients
+   USE p4zprod         !  Growth rate of the 2 phyto groups
+   USE p4zmort         !  Mortality terms for phytoplankton
+   USE p4zmicro        !  Sources and sinks of microzooplankton
+   USE p4zmeso         !  Sources and sinks of mesozooplankton
+   USE p4zrem          !  Remineralisation of organic matter
+   USE prtctl_trc      !  print control for debugging
+   USE iom             !  I/O manager
   
    IMPLICIT NONE
